Status: Closed Start date: 2008-03-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Description

An updated Hebrew translation with most of the phrases added since 0.5.

Experimental CSS variations for RTL layout.

Known bugs:

Most Next/Back buttons are not aligned correctly because they are not controlled with CSS.

Gnat has bad display problems. (most of his style is hard coded and not in CSS)

Works with Firefox 3.0b4, konqueror 3.5.8+, Safari 3

Works almost perfectly in Opera 9

Does not work with Firefox 2, ie6, ie7 due to poor support of rtl

There should be some mechanism for changing CSS based on the language chosen. Currently you have to swap the files.

I could try and fix it to work with ff2 and ie but it would take enormous amounts of CSS hacking to get some sort of result and would

probably break other (aka Standard compliant) browsers.

And with ff3 almost out in the open and IE8 breaking everything IE6 and IE7 know to digest (and lack of a windows box) I don't find it

all that important to support them.

But if someone wants to achieve this feat be my guest.

Related issues:

Related to Redmine - Patch #2318: RTL Theme Closed 2008-12-11

Is duplicate of Redmine - Patch #6012: RTL layout Closed 2010-08-01

History

#1 - 2008-04-02 00:43 - Jean-Philippe Lang

- Category set to Translations

#2 - 2008-04-06 13:13 - Jean-Philippe Lang

Translation committed in r1331. Maybe the RTL layout could be added as an additional theme.

Thanks

#3 - 2008-10-29 00:25 - Azamat Hackimov

- Category changed from Translations to UI

#4 - 2008-12-11 23:59 - Ficoos Bangaly

- Status changed from New to Resolved

I've submitted new issues with better solutions.

#5 - 2010-08-30 14:18 - Azamat Hackimov

- Status changed from Resolved to Closed

RTL-layout commited in #6012

Files

snapshot1.png 41.8 KB 2008-03-30 Ficoos Bangaly

he.yml 26.8 KB 2008-03-30 Ficoos Bangaly
https://www.redmine.org/projects/redmine/repository/svn/revisions/1331
application.css 18.7 KB 2008-03-30 Ficoos Bangaly

calendar.css 4.79 KB 2008-03-30 Ficoos Bangaly

jstoolbar.css 1.89 KB 2008-03-30 Ficoos Bangaly

context_menu.css 1.54 KB 2008-03-30 Ficoos Bangaly
